/*
Default style sheet for ticketing project
@author : Joko for timmxware
*/

/*		Color reference

main dark color : #666;
*/

/* general rules */

body
{
	text-align:center;
	font-family:Arial;
	font-size:11px;
	background-color:#999;
	color:#666;
}

div#mainContent
{
	width:1100px;
	min-height:200px;
	text-align:left;
	background-color:#FFF;
	margin:0 auto;
	padding:10px;
}


/* general style rules */
h1,h2,h3,h4,h5,p,div,fieldset,table,ul,li
{
	padding:0;
	margin:0;
}

li
{
	list-style:none;
}

table
{
	width:100%;
}

/*		Titles rules		*/
h1
{
	font-size:17px;
	margin:10px 0 0 0 ;
}
h2
{
	font-size:15px;
	width:100%;
	border-bottom:1px solid #666;
}
h3
{
	font-size:13px;
	font-style:italic;
	font-weight:bold;
}

/***********************		HEADER				***********************/
div#headerContainer
{
	border-bottom:1px solid #666;
	position:relative;
}

div#headerContainer a#headerLogo
{
	text-decoration:none;
	/*position:absolute;*/
	top:15px;
	left:15px;
}

div#headerContainer a#headerLogo img
{
	border:none;
	text-decoration:none;
}

div#authedContainer
{
	position:absolute;
	top:15px;
	right:15px;
}
div#authedContainer p
{
	margin:5px 0;
	text-align:right;
}

p.kioskContact
{
	font-weight:bold;
	text-align:right;
}

/***********************		FOOTER				***********************/
div#footerContainer
{
	border-top:1px solid #666;
	position:relative;
}

/***********************		FORMS				***********************/

fieldset
{
	border:1px solid #CCC;
	margin:15px;
	padding:10px;
}

fieldset legend
{
	font-weight:bold;
	font-size:12px;
	border:1px solid #CCC;
	padding:4px;
}


form fieldset label
{
	width:180px;
	display:inline-block;
	text-align:left;
	padding:3px 5px;
	font-size:11px;
}

fieldset input
{
	color:#666;
}

.buttonContainer
{
	text-align:center;
	padding:10px;
}


input.button
{
	background-color:#555;
	border-top:3px solid #666;
	border-left:3px solid #666;
	border-bottom:3px solid #444;
	border-right:3px solid #444;
	color:white;
	font-weight:bold;
	text-align:center;
	margin:0 5px;
}


input.addBoutton,
input.validateButton
{
	background-color:#066600;
	border-top:3px solid #097C01;
	border-left:3px solid #097C01;
	border-bottom:3px solid #055400;
	border-right:3px solid #055400;
}

input.editButton
{
	background-color:#9B8900;
	border-top:3px solid #B29E03;
	border-left:3px solid #B29E03;
	border-bottom:3px solid #665A03;
	border-right:3px solid #665A03;
}

input.searchButton
{
	background-color:#037760;
	border-top:3px solid #069B7D;
	border-left:3px solid #069B7D;
	border-bottom:3px solid #015B49;
	border-right:3px solid #015B49;
}

input.refuseButton
{
	background-color:#CC0000;
	border-top:3px solid #CC3333;
	border-left:3px solid #CC3333;
	border-bottom:3px solid #990000;
	border-right:3px solid #990000;
}


.formDescription p
{
	font-size:12px;
	font-style:italic;
	border-bottom:1px solid #666;
}
.formDescription
{
	padding:5px;
}

/****	Navigation	****/
.navigation
{
	text-align:center;
	padding:10px;
}


/****	tables	******/
table th,
table td
{
	text-align:left;
}
.datagrid th
{
	text-align:center;
	border-bottom:1px solid #666;
	padding:3px;
}
.datagrid td
{
	padding:3px;
}

.datagrid table
{
	margin-bottom:40px;
	margin-top:15px;
	
}

th.header { 
    background-image: url(images/bg.gif);     
    cursor: pointer; 
    font-weight: bold; 
    background-repeat: no-repeat; 
    background-position: center left; 
    padding-left: 20px; 
    margin-left: -1px; 
} 
th.headerSortUp { 
    background-image: url(images/asc.gif); 
    font-weight:bold; 
} 
th.headerSortDown { 
    background-image: url(images/desc.gif); 
    font-weight:bold;
} 

.observationContent
{
	font-weight:bold;
	font-style:italic;
	padding:5px;
	border:1px solid #CCC;
	margin:3px;
}

/***		Notifications 			****/
.notification-container
{
	margin:5px;
	padding:10px;
}
.notification-container ul li
{
	list-style:none;
	padding:3px 5px;
}

ul.notifications-error
{
	border:2px solid #CC0000;
	color:#CC0000;
	font-weight:bold;
}

ul.notifications-notice
{
	border:2px solid #1A7703;
	color:#1A7703;
	font-weight:bold;
}

/*****	Form	Messages	***/
ul.errorMessages
{
	margin:5px;
	padding:5px;
	background-color:#FFE5E5;
	border:1px solid #FF7F7F;
}
ul.errorMessages li
{
	color:#FC5555;
}


/****	Date picker			****/
a.dp-choose-date {
	float: left;
	width: 16px;
	height: 16px;
	padding: 0;
	margin: 5px 3px 0;
	display: block;
	text-indent: -2000px;
	overflow: hidden;
	background: url(images/calendar.png) no-repeat; 
}
a.dp-choose-date.dp-disabled {
	background-position: 0 -20px;
	cursor: default;
}
/* makes the input field shorter once the date picker code
 * has run (to allow space for the calendar icon
 */
input.dp-applied {
	width: 125px;
	float: left;
}



/* ticket styles */

.ticketStateWaiting span,
.ticketStateAccepted span,
.ticketStateProcessing span,
.ticketStateFinished span,
.ticketStateQualified span,
.ticketStateRefused span,
.ticketStateDeteded span
{
	font-weight:bold;
	background-repeat:no-repeat;
	background-position:center left;
	padding-left:17px;display:block;
	width:70px;
}

.ticketStateWaiting span {background-image:url(images/hourglass.png);}
.ticketStateAccepted span {background-image:url(images/accept.png);}
.ticketStateProcessing span {background-image:url(images/hourglass_go.png);}
.ticketStateFinished span {background-image:url(images/tick.png);}
.ticketStateDeteded span {background-image:url(images/delete.png);}
.ticketStateQualified span {background-image:url(images/tab_go.png);}
.ticketStateRefused span {background-image:url(images/delete.png);}